CRAN Package Check Results for Package pencal

Last updated on 2021-09-20 07:50:51 CEST.

Flavor Version Tinstall Tcheck Ttotal Status Flags
r-devel-linux-x86_64-debian-clang 1.0.0 14.10 134.91 149.01 OK
r-devel-linux-x86_64-debian-gcc 1.0.0 11.08 99.57 110.65 OK
r-devel-linux-x86_64-fedora-clang 1.0.0 178.38 OK
r-devel-linux-x86_64-fedora-gcc 1.0.0 169.06 OK
r-devel-windows-x86_64 1.0.0 15.00 202.00 217.00 OK
r-devel-windows-x86_64-gcc10-UCRT 1.0.0 ERROR
r-patched-linux-x86_64 1.0.0 17.93 125.79 143.72 OK
r-patched-solaris-x86 1.0.0 533.80 OK
r-release-linux-x86_64 1.0.0 12.07 124.63 136.70 OK
r-release-macos-arm64 1.0.0 ERROR
r-release-macos-x86_64 1.0.0 ERROR
r-release-windows-ix86+x86_64 1.0.0 29.00 196.00 225.00 OK
r-oldrel-macos-x86_64 1.0.0 ERROR
r-oldrel-windows-ix86+x86_64 1.0.0 29.00 191.00 220.00 OK

Check Details

Version: 1.0.0
Check: whether package can be installed
Result: WARN
    Found the following significant warnings:
     WARNING: installation-time patches will not be applied, could not get the patches index
Flavor: r-devel-windows-x86_64-gcc10-UCRT

Version: 1.0.0
Check: PDF version of manual
Result: WARN
    LaTeX errors when creating PDF version.
    This typically indicates Rd problems.
Flavor: r-devel-windows-x86_64-gcc10-UCRT

Version: 1.0.0
Check: PDF version of manual without hyperrefs or index
Result: ERROR
    Re-running with no redirection of stdout/stderr.
Flavor: r-devel-windows-x86_64-gcc10-UCRT

Version: 1.0.0
Check: package dependencies
Result: NOTE
    Package suggested but not available for checking: ‘ptmixed’
Flavors: r-release-macos-arm64, r-release-macos-x86_64, r-oldrel-macos-x86_64

Version: 1.0.0
Check: examples
Result: ERROR
    Running examples in ‘pencal-Ex.R’ failed
    The error most likely occurred in:
    
    > ### Name: simulate_prclmm_data
    > ### Title: Simulate data that can be used to fit the PRC-LMM model
    > ### Aliases: simulate_prclmm_data
    >
    > ### ** Examples
    >
    > # generate example data
    > simdata = simulate_prclmm_data(n = 20, p = 10,
    + p.relev = 4, seed = 1)
    > # view the longitudinal markers:
    > library(ptmixed)
    Error in library(ptmixed) : there is no package called ‘ptmixed’
    Execution halted
Flavors: r-release-macos-arm64, r-release-macos-x86_64, r-oldrel-macos-x86_64

Version: 1.0.0
Check: re-building of vignette outputs
Result: WARN
    Error(s) in re-building vignettes:
     ...
    --- re-building ‘pencal-vignette.Rmd’ using rmarkdown
    Pandoc is required to build R Markdown vignettes but not available. Please make sure it is installed.
    Quitting from lines 135-144 (pencal-vignette.Rmd)
    Error: processing vignette 'pencal-vignette.Rmd' failed with diagnostics:
    there is no package called 'ptmixed'
    --- failed re-building ‘pencal-vignette.Rmd’
    
    SUMMARY: processing the following file failed:
     ‘pencal-vignette.Rmd’
    
    Error: Vignette re-building failed.
    Execution halted
Flavors: r-release-macos-arm64, r-release-macos-x86_64, r-oldrel-macos-x86_64